Package org.spongepowered.asm.mixin.transformer.ext.extensions

## Class ExtensionCheckClass

- java.lang.Object
- - org.spongepowered.asm.mixin.transformer.ext.extensions.ExtensionCheckClass

All Implemented Interfaces:
  `IExtension`

    public class ExtensionCheckClass
    extends java.lang.Object
    implements IExtension

Mixin transformer module which runs CheckClassAdapter on the post-mixin bytecode

### Nested Class Summary

Nested Classes
`static class` `ExtensionCheckClass.ValidationFailedException` Exception thrown when checkclass fails

### Constructor Summary

Constructors
`ExtensionCheckClass()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkActive​(MixinEnvironment environment)` Check whether this extension is active for the specified environment
`void` `export​(MixinEnvironment env, java.lang.String name, boolean force, org.objectweb.asm.tree.ClassNode classNode)` Called when a class needs to be exported
`void` `postApply​(ITargetClassContext context)` Called after the mixins are applied
`void` `preApply​(ITargetClassContext context)` Called before the mixins are applied

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExtensionCheckClass

    public ExtensionCheckClass()

### Method Detail

#### checkActive

    public boolean checkActive​(MixinEnvironment environment)

Description copied from interface: `IExtension`
Check whether this extension is active for the specified environment

Specified by:
  `checkActive` in interface `IExtension`
Parameters:
  `environment` - current environment
Returns:
  true if the module should be active in the specified environment

#### preApply

    public void preApply​(ITargetClassContext context)

Description copied from interface: `IExtension`
Called before the mixins are applied

Specified by:
  `preApply` in interface `IExtension`
Parameters:
  `context` - Target class context

#### postApply

    public void postApply​(ITargetClassContext context)

Description copied from interface: `IExtension`
Called after the mixins are applied

Specified by:
  `postApply` in interface `IExtension`
Parameters:
  `context` - Target class context

#### export

    public void export​(MixinEnvironment env,
                       java.lang.String name,
                       boolean force,
                       org.objectweb.asm.tree.ClassNode classNode)

Description copied from interface: `IExtension`
Called when a class needs to be exported

Specified by:
  `export` in interface `IExtension`
Parameters:
  `env` - Environment
  `name` - Class name
  `force` - True to export even if the current environment settings would normally disable it
  `classNode` - Class to export